curl --request PATCH \
--url https://api.recoupable.dev/api/sessions/{sessionId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"title": "<string>",
"linesAdded": 1,
"linesRemoved": 1
}
'import requests
url = "https://api.recoupable.dev/api/sessions/{sessionId}"
payload = {
"title": "<string>",
"linesAdded": 1,
"linesRemoved": 1
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', linesAdded: 1, linesRemoved: 1})
};
fetch('https://api.recoupable.dev/api/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"id": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"isNewBranch": true,
"globalSkillRefs": [
{}
],
"lifecycleVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"artistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repoOwner": "<string>",
"repoName": "<string>",
"branch": "<string>",
"cloneUrl": "<string>",
"sandboxState": {},
"lastActivityAt": "2023-11-07T05:31:56Z",
"sandboxExpiresAt": "2023-11-07T05:31:56Z",
"hibernateAfter": "2023-11-07T05:31:56Z",
"lifecycleRunId": "<string>",
"lifecycleError": "<string>",
"linesAdded": 123,
"linesRemoved": 123,
"snapshotUrl": "<string>",
"snapshotCreatedAt": "2023-11-07T05:31:56Z",
"snapshotSizeBytes": 123,
"cachedDiff": {},
"cachedDiffUpdatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}{
"status": "error",
"error": "<string>"
}Update Session
Rename a session, change lifecycle status, or update line counters.
Authorizations
Path Parameters
The id of the session to update.
Body
All fields are optional; an empty object {} is valid and leaves the session unchanged.
New display title for the session (rename).
Lifecycle status (matches the DB CHECK). running is active / unarchived; completed and failed are terminal; archived archives the row. Use running to unarchive from archived.
running, completed, failed, archived Updates the persisted lines_added column on the session (≥ 0).
x >= 0Updates the persisted lines_removed column on the session (≥ 0).
x >= 0Response
Session updated successfully.
Agent session returned by POST /api/sessions, GET /api/sessions/{sessionId}, and PATCH /api/sessions/{sessionId}. The api serializes every field listed in required on each response, including isNewBranch (boolean, from the non-null sessions.is_new_branch column) and artistId (UUID or null).
Show child attributes
Show child attributes
Was this page helpful?
